# API Reference

## prompt

```{eval-rst}
.. automodule:: InquirerPy.resolver
    :members:
```

### input

```{eval-rst}
.. automodule:: InquirerPy.prompts.input
    :members:
```

### secret

```{eval-rst}
.. automodule:: InquirerPy.prompts.secret
    :members:
```

### filepath

```{eval-rst}
.. automodule:: InquirerPy.prompts.filepath
    :members:
```

### confirm

```{eval-rst}
.. automodule:: InquirerPy.prompts.confirm
    :members:
```

### list

```{eval-rst}
.. automodule:: InquirerPy.prompts.list
    :members:
```

### rawlist

```{eval-rst}
.. automodule:: InquirerPy.prompts.rawlist
    :members:
```

### expand

```{eval-rst}
.. automodule:: InquirerPy.prompts.expand
    :members:
```

### checkbox

```{eval-rst}
.. automodule:: InquirerPy.prompts.checkbox
    :members:
```

### fuzzy

```{eval-rst}
.. automodule:: InquirerPy.prompts.fuzzy
    :members:
```

## separator

```{eval-rst}
.. automodule:: InquirerPy.separator
    :members:
```

## utils

```{eval-rst}
.. automodule:: InquirerPy.utils
    :members:
```

## validator

```{eval-rst}
.. automodule:: InquirerPy.validator
    :members:
```

## Containers

### spinner

```{eval-rst}
.. automodule:: InquirerPy.containers.spinner
    :members:
```

### message

```{eval-rst}
.. automodule:: InquirerPy.containers.message
    :members:
```

### validation

```{eval-rst}
.. automodule:: InquirerPy.containers.validation
    :members:
```

### instruction

```{eval-rst}
.. automodule:: InquirerPy.containers.instruction
    :members:
```

## base

### simple

```{eval-rst}
.. automodule:: InquirerPy.base.simple
    :members:
```

### complex

```{eval-rst}
.. automodule:: InquirerPy.base.complex
    :members:
```

### list

```{eval-rst}
.. automodule:: InquirerPy.base.list
    :members:
```

### control

```{eval-rst}
.. automodule:: InquirerPy.base.control
    :members:
```

## exceptions

```{eval-rst}
.. automodule:: InquirerPy.exceptions
    :members:
```
